# Parma_Watchdog_Library::Time Class Reference

A class for representing and manipulating positive time intervals. More...

`#include <pwl.hh>`

List of all members.

## Public Member Functions

| Time ()
| Zero seconds.
| Time (unsigned long hundredths_of_a_second)
| Constructor taking a number of hundredths of a second.
| Time (unsigned long s, unsigned long m)
| Constructor with seconds and microseconds.
unsigned long | seconds () const
| Returns the number of whole seconds contained in the represented time interval.
unsigned long | microseconds () const
| Returns the number of microseconds that, when added to the number of seconds returned by seconds(), give the represent time interval.
Time & | operator+= (const Time &y)
| Adds `y` to `*this`.
Time & | operator-= (const Time &y)
| Subtracts `y` from `*this`; if `*this` is shorter than `y`, `*this` is set to the null interval.
bool | OK () const
| Checks if all the invariants are satisfied.

## Detailed Description

A class for representing and manipulating positive time intervals.

The documentation for this class was generated from the following file:

- pwl.hh